package com.diagbot.facade;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.client.UserServiceClient;
import com.diagbot.dto.MultContactListDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.service.impl.RelationServiceImpl;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.MultContactListVO;

/**
 * @Description: 医学术语关联业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 14:17
 */
@Component
public class MultContactFacade extends RelationServiceImpl {
	
	@Autowired
    private UserServiceClient userServiceClient;
	
	/**
     * 医学术语多层关联维护-列表
     * @param relationContactListVO
     * @return
     */
    public IPage<MultContactListDTO> multContactList(MultContactListVO multContactListVO) {
    	IPage<MultContactListDTO> ipage = this.baseMapper.multContactList(multContactListVO);
        if (ipage.getRecords().size() > 0) {
            List<String> ids = ipage.getRecords().stream().map(i -> i.getOperName()).distinct().collect(Collectors.toList());
            RespDTO<Map<String, String>> respDTO = userServiceClient.getUserInfoByIds(ids);
            RespDTOUtil.respNGDealCover(respDTO, "获取用户信息失败");
            ipage.getRecords().forEach(i -> {
                i.setOperName(respDTO.data.get(i.getOperName()));
            });
        }
        return ipage;
    }


}
