package com.diagbot.vo;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class GetAllForRelationVO {
    
    /**
     * 名称
     */
    @ApiModelProperty(value="名称")
    private String name;
    
    /**
     * 词性id
     */
    @ApiModelProperty(value="词性id")
    private Long typeId;
    
    /**
     * 搜索出来的概念在关系中的位置，1-起点术语，2-终点术语，3-不考虑关系
     */
    @ApiModelProperty(value="搜索出来的概念在关系中的位置，1-起点术语，2-终点术语，3-不考虑关系")
    private Integer relationPosition=3;

    /**
     * 相关联的概念id
     */
    @ApiModelProperty(value="相关联的概念id")
    private Long relationConceptId;
    
    /**
     * 关系类型id
     */
    @ApiModelProperty(value="关系类型id")
    private Long relationId;
    
    /**
     * 需要排除的概念id集合
     */
    @ApiModelProperty(value="需要排除的概念id集合")
    private List<Long> excludedConceptIds;
    
}