package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.SysLogFacade;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 日志操作控制层
 * @author: gaodm
 * @time: 2018/8/30 10:12
 */
@RestController
@RequestMapping("/log")
public class SysLogController {

    @Autowired
    private SysLogFacade sysLogFacade;

    /**
     * 获取日志翻页信息
     *
     * @return 日志翻页信息
     */
    @ApiOperation(value = "获取日志翻页信息", notes = "获取日志翻页信息")
    @GetMapping("/page")
    @SysLogger("pageLog")
    public RespDTO page() {
        return RespDTO.onSuc(true);
    }
}

